Ruby: pm_call_operator_write_node Struct Reference

Ruby 3.3.4p94 (2024-07-09 revision be1089c8ec5ba40e09b1553e36b3174bf4014d9d)

Data Fields
pm_call_operator_write_node Struct Reference

CallOperatorWriteNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_node * | receiver
| CallOperatorWriteNode::receiver.
pm_location_t | call_operator_loc
| CallOperatorWriteNode::call_operator_loc.
pm_location_t | message_loc
| CallOperatorWriteNode::message_loc.
pm_constant_id_t | read_name
| CallOperatorWriteNode::read_name.
pm_constant_id_t | write_name
| CallOperatorWriteNode::write_name.
pm_constant_id_t | operator
| CallOperatorWriteNode::operator.
pm_location_t | operator_loc
| CallOperatorWriteNode::operator_loc.
struct pm_node * | value
| CallOperatorWriteNode::value.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

CallOperatorWriteNode.

Type: PM_CALL_OPERATOR_WRITE_NODE Flags: PM_CALL_NODE_FLAGS_SAFE_NAVIGATION PM_CALL_NODE_FLAGS_VARIABLE_CALL PM_CALL_NODE_FLAGS_ATTRIBUTE_WRITE

Definition at line 1533 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_call_operator_write_node::base

The embedded base node.

Definition at line 1535 of file ast.h.

## ◆ call_operator_loc

pm_location_t pm_call_operator_write_node::call_operator_loc

CallOperatorWriteNode::call_operator_loc.

Definition at line 1541 of file ast.h.

## ◆ message_loc

pm_location_t pm_call_operator_write_node::message_loc

CallOperatorWriteNode::message_loc.

Definition at line 1544 of file ast.h.

## ◆ operator

pm_constant_id_t pm_call_operator_write_node::operator

CallOperatorWriteNode::operator.

Definition at line 1553 of file ast.h.

## ◆ operator_loc

pm_location_t pm_call_operator_write_node::operator_loc

CallOperatorWriteNode::operator_loc.

Definition at line 1556 of file ast.h.

## ◆ read_name

pm_constant_id_t pm_call_operator_write_node::read_name

CallOperatorWriteNode::read_name.

Definition at line 1547 of file ast.h.

## ◆ receiver

struct pm_node* pm_call_operator_write_node::receiver

CallOperatorWriteNode::receiver.

Definition at line 1538 of file ast.h.

Referenced by pm_node_destroy().

## ◆ value

struct pm_node* pm_call_operator_write_node::value

CallOperatorWriteNode::value.

Definition at line 1559 of file ast.h.

Referenced by pm_node_destroy().

## ◆ write_name

pm_constant_id_t pm_call_operator_write_node::write_name

CallOperatorWriteNode::write_name.

Definition at line 1550 of file ast.h.

The documentation for this struct was generated from the following file:

- prism/ast.h